Enabling helm3 & kubernetes 1.18 for RIC
[it/dep.git] / bin / deploy-ric-aux
index d0ddeee..6d1a9c3 100755 (executable)
@@ -1,56 +1,88 @@
-#!/bin/bash
-################################################################################
-#   Copyright (c) 2019 AT&T Intellectual Property.                             #
-#   Copyright (c) 2019 Nokia.                                                  #
-#                                                                              #
-#   Licensed under the Apache License, Version 2.0 (the "License");            #
-#   you may not use this file except in compliance with the License.           #
-#   You may obtain a copy of the License at                                    #
-#                                                                              #
-#       http://www.apache.org/licenses/LICENSE-2.0                             #
-#                                                                              #
-#   Unless required by applicable law or agreed to in writing, software        #
-#   distributed under the License is distributed on an "AS IS" BASIS,          #
-#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
-#   See the License for the specific language governing permissions and        #
-#   limitations under the License.                                             #
-################################################################################
-
-# This script deploys RIC aux components automatically
-
-if [ "$#" -eq 1 ]; then
-    OVERRIDEYAML=$1
-else
-
-    while [ -n "$1" ]; do # while loop starts
-
-        case "$1" in
-
-        -f) OVERRIDEYAML=$2
-            shift
-            ;;
-        *) echo "Option $1 not recognized" ;; # In case you typed a different option other than a,b,c
-
-        esac
-
-        shift
-
-    done
-fi
-
-
-if [ -z "$OVERRIDEYAML" ];then
-    echo "****************************************************************************************************************"
-    echo "                                                     ERROR                                                      "
-    echo "****************************************************************************************************************"
-    echo "RIC deployment without deployment recipe is currently disabled. Please specify an recipe with the -f option."
-    echo "****************************************************************************************************************"
-    exit 1
-fi
-
-
-ROOT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )"
-
-$ROOT_DIR/prepare-common-templates
-
-$ROOT_DIR/../ric-aux/bin/install -f $OVERRIDEYAML
+#!/bin/bash\r
+################################################################################\r
+#   Copyright (c) 2019 AT&T Intellectual Property.                             #\r
+#   Copyright (c) 2019 Nokia.                                                  #\r
+#                                                                              #\r
+#   Licensed under the Apache License, Version 2.0 (the "License");            #\r
+#   you may not use this file except in compliance with the License.           #\r
+#   You may obtain a copy of the License at                                    #\r
+#                                                                              #\r
+#       http://www.apache.org/licenses/LICENSE-2.0                             #\r
+#                                                                              #\r
+#   Unless required by applicable law or agreed to in writing, software        #\r
+#   distributed under the License is distributed on an "AS IS" BASIS,          #\r
+#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #\r
+#   See the License for the specific language governing permissions and        #\r
+#   limitations under the License.                                             #\r
+################################################################################\r
+\r
+# This script deploys RIC aux components automatically\r
+\r
+if [ "$#" -eq 1 ]; then\r
+    OVERRIDEYAML=$1\r
+else\r
+\r
+    while [ -n "$1" ]; do # while loop starts\r
+\r
+        case "$1" in\r
+\r
+        -f) OVERRIDEYAML=$2\r
+            shift\r
+            ;;\r
+        *) echo "Option $1 not recognized" ;; # In case you typed a different option other than a,b,c\r
+\r
+        esac\r
+\r
+        shift\r
+\r
+    done\r
+fi\r
+\r
+\r
+if [ -z "$OVERRIDEYAML" ];then\r
+    echo "****************************************************************************************************************"\r
+    echo "                                                     ERROR                                                      "\r
+    echo "****************************************************************************************************************"\r
+    echo "RIC deployment without deployment recipe is currently disabled. Please specify an recipe with the -f option."\r
+    echo "****************************************************************************************************************"\r
+    exit 1\r
+fi\r
+\r
+\r
+ROOT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )"\r
+#Check for helm3\r
+IS_HELM3=$(helm version -c --short|grep -e "^v3")\r
+\r
+if [ $IS_HELM3 ]\r
+then\r
+  # Check for servcm plugin\r
+  helm plugin list | grep -q "^servecm"\r
+  if [ $? -eq "1" ]\r
+  then\r
+    helm plugin install https://github.com/jdolitsky/helm-servecm\r
+  fi\r
+fi\r
+\r
+# Start Helm local repo if there isn't one\r
+HELM_REPO_PID=$(ps -x | grep  "helm serve" | grep -v "grep" | awk '{print $1}')\r
+if [ -z "$HELM_REPO_PID" ]; then\r
+    if [ -z $IS_HELM3 ]\r
+    then\r
+      nohup helm serve >& /dev/null &\r
+    else\r
+      echo EUID:$EUID\r
+      if [ $EUID -ne "0" ]\r
+         then\r
+           echo "Error: Please run the command with sudo as helm servecm needs to copy a file in location needing privilege"\r
+           exit;\r
+         fi\r
+      eval $(helm env |grep HELM_REPOSITORY_CACHE)\r
+      echo yes > /tmp/ric-yes\r
+      nohup sudo sh -c "helm servecm --port=8879 --context-path=/charts  --storage local --storage-local-rootdir $HELM_REPOSITORY_CACHE/local/  < /tmp/ric-yes " &\r
+    fi\r
+fi\r
+\r
+\r
+$ROOT_DIR/prepare-common-templates\r
+\r
+$ROOT_DIR/../ric-aux/bin/install -f $OVERRIDEYAML
\ No newline at end of file